### Constructor

# Gtk WidgetPaintable new

#### Declaration [src]

    GdkPaintable*
    gtk_widget_paintable_new (
      GtkWidget* widget
    )

#### Description [src]

Creates a new widget paintable observing the given widget.

#### Parameters

`widget` | `GtkWidget`
| A `GtkWidget`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidgetPaintable`
| A new `GtkWidgetPaintable`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.